Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 541)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 612)
@@ -1,35 +1,63 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\CPRS-1.0.23.15\CPRS-Chart\fNotes.pas',0,1,1592,1,1601,0,0
-File_1=SourceModule,'c:\program files\borland\delphi7\source\vcl\Forms.pas',0,1,6867,19,6878,0,0
-File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas',0,1,1177,15,1199,0,0
-File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',0,1,1924,78,1955,0,0
-File_4=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',0,1,1713,1,1713,0,0
-File_5=SourceModule,'c:\program files\borland\delphi7\source\rtl\common\classes.pas',0,1,10956,1,10969,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\source\vcl\grids.pas',0,1,3918,1,3930,0,0
-File_7=SourceModule,'c:\program files\borland\delphi7\source\vcl\Controls.pas',0,1,6228,1,6245,0,0
-File_8=SourceModule,'P:\vista\CPRS-1.0.23.15\CPRS-Chart\fFrame.pas',0,1,2774,1,2791,0,0
-File_9=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas',0,1,1,85,11,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',0,1,189,1,207,0,0
+File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas',0,1,231,19,242,0,0
+File_2=SourceModule,'P:\vista\tmg-cprs\CPRSChart.ini',0,1,1,9,18,0,0
+File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas',0,1,343,29,349,1,0
+File_4=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',0,1,731,1,736,1,0
+File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas',0,1,551,41,562,0,0
+File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\Windows.pas',0,1,28958,88,28963,0,0
+File_7=SourceModule,'P:\vista\CPRS-1.0.23.15\CPRS-Chart\fDrawers.pas',0,1,1605,1,1614,0,0
+File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\rCore.pas',0,1,933,1,945,0,0
 
 [Modules]
-Module0=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-Module3=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas
-Module4=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-Module5=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module6=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module7=P:\vista\CPRS-1.0.23.15\CPRS-Chart\fDrawers.pas
-Module8=P:\vista\tmg-cprs\CPRS-Chart\uReminders.pas
-Module9=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
-Module10=P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas
-Module11=P:\vista\tmg-cprs\CPRSChart.ini
-Module12=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-Module13=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-Module14=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
-Module15=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
-Count=16
+Module0=P:\vista\tmg-cprs\CPRS-Chart\fImages.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module2=P:\vista\tmg-cprs\CPRS-Chart\fxBroker.pas
+Module3=P:\Vista\tmg-cprs\CPRS-Lib\ORSystem.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module5=P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas
+Module6=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+Module7=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+Module8=P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas
+Module9=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
+Count=10
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\vista\tmg-cprs\CPRS-Chart\fImages.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fxBroker.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Lib\ORSystem.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
 ModuleType=SourceModule
@@ -37,5 +65,5 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
+[P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas]
 ModuleType=SourceModule
 FormState=0
@@ -47,69 +75,4 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\CPRS-1.0.23.15\CPRS-Chart\fDrawers.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\uReminders.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRSChart.ini]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
@@ -141,6 +104,6 @@
 
 [EditWindow0]
-ViewCount=16
-CurrentView=9
+ViewCount=10
+CurrentView=7
 View0=0
 View1=1
@@ -153,10 +116,4 @@
 View8=8
 View9=9
-View10=10
-View11=11
-View12=12
-View13=13
-View14=14
-View15=15
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -164,24 +121,24 @@
 Visible=1
 State=0
-Left=-729
-Top=284
-Width=663
-Height=502
+Left=-794
+Top=176
+Width=787
+Height=569
 MaxLeft=-4
 MaxTop=104
-ClientWidth=655
-ClientHeight=468
+ClientWidth=779
+ClientHeight=535
 LeftPanelSize=0
-LeftPanelClients=DockSite0
-LeftPanelData=000004000100000009000000446F636B5369746530000000000000000000000000000000000001000000000000000000000000FFFFFFFF
+LeftPanelClients=DockSite1
+LeftPanelData=000004000100000009000000446F636B5369746531000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=0
+BottomPanelSize=87
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D657373616765566965778F020000000000000257000000000000000100000000000000000000000001000000002303000000000000010000000023030000000000000100000000230300000000000001000000008F0200000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400000000000B030000000000000257000000000000000100000000000000000000000001000000002303000000000000010000000023030000000000000100000000230300000000000001000000008F0200000000000001000000000B0300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
 CursorX=1
-CursorY=4515
+CursorY=4512
 TopLine=4502
 LeftCol=1
@@ -190,104 +147,62 @@
 Module=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
 CursorX=1
-CursorY=3764
-TopLine=3752
+CursorY=859
+TopLine=850
 LeftCol=1
 
 [View2]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
-CursorX=13
-CursorY=313
-TopLine=311
+Module=P:\Vista\tmg-cprs\CPRS-Lib\ORSystem.pas
+CursorX=1
+CursorY=132
+TopLine=121
 LeftCol=1
 
 [View3]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+CursorX=39
+CursorY=1483
+TopLine=1468
+LeftCol=1
+
+[View4]
+Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
 CursorX=1
-CursorY=207
-TopLine=189
-LeftCol=1
-
-[View4]
-Module=P:\vista\tmg-cprs\CPRS-Chart\uReminders.pas
-CursorX=3
-CursorY=9
-TopLine=1
+CursorY=16069
+TopLine=16058
 LeftCol=1
 
 [View5]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module=P:\vista\tmg-cprs\CPRS-Chart\fxBroker.pas
 CursorX=1
-CursorY=11844
-TopLine=11822
+CursorY=128
+TopLine=121
 LeftCol=1
 
 [View6]
-Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas
-CursorX=1
-CursorY=2023
-TopLine=2010
+Module=P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas
+CursorX=75
+CursorY=1265
+TopLine=1254
 LeftCol=1
 
 [View7]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fImages.pas
+CursorX=46
+CursorY=844
+TopLine=834
+LeftCol=1
+
+[View8]
+Module=P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas
+CursorX=47
+CursorY=328
+TopLine=317
+LeftCol=1
+
+[View9]
 Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
 CursorX=1
 CursorY=189
 TopLine=178
-LeftCol=1
-
-[View8]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View9]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=1479
-TopLine=1468
-LeftCol=1
-
-[View10]
-Module=P:\vista\CPRS-1.0.23.15\CPRS-Chart\fDrawers.pas
-CursorX=1
-CursorY=1614
-TopLine=1605
-LeftCol=1
-
-[View11]
-Module=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
-CursorX=41
-CursorY=562
-TopLine=551
-LeftCol=1
-
-[View12]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-CursorX=1
-CursorY=736
-TopLine=731
-LeftCol=1
-
-[View13]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-CursorX=29
-CursorY=349
-TopLine=343
-LeftCol=1
-
-[View14]
-Module=P:\vista\tmg-cprs\CPRSChart.ini
-CursorX=9
-CursorY=18
-TopLine=1
-LeftCol=1
-
-[View15]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas
-CursorX=19
-CursorY=242
-TopLine=231
 LeftCol=1
 
@@ -339,5 +254,5 @@
 Breakpoint4='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1710,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1787,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4512,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',858,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -438,5 +353,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=Top
+SelectedItem=DragKind
 ExpandedItems=Anchors,Options
 HiddenCategories=Legacy
@@ -642,13 +557,13 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=12
 Top=0
-Width=643
+Width=767
 Height=87
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=643
+ClientWidth=767
 ClientHeight=87
 TBDockHeight=87
@@ -660,4 +575,24 @@
 
 [DockSite0]
+DockSiteType=1
+Create=1
+Visible=1
+State=0
+Left=-783
+Top=268
+Width=342
+Height=482
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=334
+ClientHeight=456
+TBDockHeight=539
+LRDockWidth=258
+Dockable=1
+TabPosition=0
+ActiveTab=Object Inspector
+TabDockClients=PropertyInspector,ObjectTree
+
+[DockSite1]
 DockSiteType=1
 Create=1
@@ -679,22 +614,2 @@
 TabDockClients=CodeExplorer@EditWindow0,WatchWindow
 
-[DockSite1]
-DockSiteType=1
-Create=1
-Visible=1
-State=0
-Left=-794
-Top=291
-Width=342
-Height=482
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=334
-ClientHeight=456
-TBDockHeight=539
-LRDockWidth=258
-Dockable=1
-TabPosition=0
-ActiveTab=Object Inspector
-TabDockClients=PropertyInspector,ObjectTree
-
